package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusInvoiceManagementEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author lizenan
 * @Desc 发票抬头管理表(BusInvoiceManagement)表服务接口
 * @Date 2024-04-03 15:34:44
 */
public interface BusInvoiceManagementService extends IService<BusInvoiceManagementEntity> {

    BusInvoiceManagementEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusInvoiceManagementEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 根据CustomerinfoId查询
     */
    List<BusInvoiceManagementEntity> listByCustomerinfoId(BusInvoiceManagementEntity param);

    /**
     * 通过主键删除数据
     */
    void delete(String invoiceId,String userId);
    /**
     * 通过主键查询数据
     */
    BusInvoiceManagementEntity info(String invoiceId);
}
